package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 实验室类型对象 lab_mold
 *
 * @author liubo
 * @date 2022-05-17
 */
@ApiModel("实验室类型")
public class LabMold extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 类型名称
     */
    @Excel(name = "类型名称")
    @Length(message = "类型名称长度不能超过500")
    @ApiModelProperty(value = "类型名称")
    private String moldName;

    @ApiModelProperty(value = "关键字")
    private String searchValue;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setMoldName(String moldName) {
        this.moldName = moldName;
    }

    public String getMoldName() {
        return moldName;
    }

    @Override
    public String getSearchValue() {
        return searchValue;
    }

    @Override
    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }
}
